#!/usr/bin/env python
# -*- encoding: utf-8 -*-


from widget.bms_cell import Win_Cell


class BmsCellControll:
    def __init__(self):
        self._view = Win_Cell()
        self.init()

    def init(self):
        self._view.cell_vol_signal.connect(self._page_index)
        self._view.cell_temp_signal.connect(self._page_index)
        self._view.jz_temp_signal.connect(self._page_index)
        self._view.bcu_temp_signal.connect(self._page_index)
        self._view.mos_temp_signal.connect(self._page_index)

    def _page_index(self,index):
        self._view.cell_tab.setCurrentIndex(index)